include ../_modules/organisms/header/header
include ../_modules/organisms/footer/footer


//- Custom Configuration
block config
  //- Setup site's base URL to match the "baseUrl" key within `package.json`
  //- Otherwise default to relative pathing
  - var baseUrl = config.baseUrl || './'
  - var currentPage = config.currentPage || site.data.pages.home.name

doctype html
<html class='no-js' lang='en'>

head
  meta(charset='utf-8')
  meta(http-equiv='X-UA-Compatible', content='IE=edge,chrome=1')
  block title
    title= site.data.global.siteName
  meta(name='description', content=site.data.global.description)
  meta(name='viewport', content='width=device-width, initial-scale=1.0')
  block stylesheets
    link(rel='stylesheet', href= baseUrl + 'styles/main.css')

body(data-page=currentPage)
  block header
    +header({
      menuItem:[
        {link:"#main__home", name:'Головна'},
        {link:"#main__about", name:'Про нас'},
        {link:"#main__gallery", name:'Галерея'},
        {link:"#main__sewing", name:'Пошиття'},
        {link:"#main__articles", name:'Статті'},
        {link:"#main__guarantee", name:'Гарантія'},
        {link:"#footer", name:'Контакти'}
      ]
    })
  block content

  block footer
    +footer

  block scripts
    script(src= baseUrl + 'scripts/main.js')

</html>
